@import "/src/app/layout/variables";
.page {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  min-height: 100vh;
  border-radius: 10px;
}

.main-signin-wrapper {
  -ms-flex: 1;
  flex: 1;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: center;
  justify-content: center;
  background-color: $background-color;
  font-family: $font-family;
}

.signpages {
  width: 25%;
  border-radius: 6px;
  margin: 5em auto;
  display: flex;
  h1 {
    font-weight: bold;
  }

  @media screen and (max-width: 640px) {
    width: 90%;
  }

  .details {
    position: relative;
  }

  .bg-primary {
    --bs-bg-opacity: 1;
    background-color: #000 !important;
  }

  .header-brand-img {
    line-height: 2.5rem;
    vertical-align: middle;
    width: auto;
    max-width: 150px;
  }

  .login_form {
    // background-color: #fff;
    border-radius: 6px;
    padding-bottom: 50px;
  }
}

.pos-absolute {
  position: absolute;
}
.signpages .card {
  border: 0px;
  border-radius: 10px;
}

.signpages .details:before {
  content: "";
  height: 100%;
  width: 100%;
  position: absolute;
  left: 0;
  background: rgba(77, 76, 178, 0.9);
}

.text-left {
  text-align: left !important;
}

.text-white {
  color: #fff !important;
}

.tx-white-6 {
  color: hsla(0, 0%, 100%, .6);
}

.form-group {
  margin-bottom: 1rem;
}

.form-control {
  display: block;
  width: 100%;
  height: calc(1.5em + .75rem + 2px);
  padding: .375rem .75rem;
  font-size: .875rem;
  font-weight: 400;
  line-height: 1.5;
  // color: #a8afc7;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #e8e8f7;
  border-radius: 3px;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  height: 38px;
  border-radius: 5px;
}

.btn-main-primary {
  color: $white-color !important;
  background-color: $primary-color !important;
  border-color: $primary-color !important;
  width: 100px;
}

.btn-main-secondary {
  // color: $dark-color !important;
  background-color: $secondary-color !important;
  border-color: $secondary-color !important;
  width: 100px;
}

a {
  color: var(--primary-color);
}

.line {
  background-color: #f5f7fb;
  width: 100%;
  height: 1px;
  margin: 20px 0px;
}

.form-group {
  .password_field {
    position: relative;
    margin: 0px;

    #togglePassword {
      position: absolute;
      right: 10px;
      bottom: 5px;
      cursor: pointer;
    }
  }
}


// .loader_frame {
//     position: fixed;
//     width: 100%;
//     height: 100vh;
//     left: 0%;
//     top: 0%;
//     background: rgba(255,255,255,0.5);
//     z-index: 9999;
//     .loader {
//         width: 100px;
//         height: 100px;
//         position: fixed;
//         left: 50%;
//         top: 50%;
//         margin: -50px;
//         text-align: center;
//         .loader_img {
//             max-width: 100%;
//             -webkit-animation: flip-vertical-right 0.9s cubic-bezier(0.455, 0.030, 0.515, 0.955) infinite both;
//                     animation: flip-vertical-right 0.9s cubic-bezier(0.455, 0.030, 0.515, 0.955) infinite both;
//         }
//     }
// }
// @-webkit-keyframes flip-vertical-right {
//     0% {
//       -webkit-transform: rotateY(0);
//               transform: rotateY(0);
//     }
//     50% {
//       -webkit-transform: rotateY(180deg);
//               transform: rotateY(180deg);
//     }
//     100% {
//       -webkit-transform: rotateY(360deg);
//               transform: rotateY(360deg);
//     }
//   }
//   @keyframes flip-vertical-right {
//     0% {
//       -webkit-transform: rotateY(0);
//               transform: rotateY(0);
//     }
//     50% {
//       -webkit-transform: rotateY(180deg);
//               transform: rotateY(180deg);
//     }
//     100% {
//       -webkit-transform: rotateY(360deg);
//               transform: rotateY(360deg);
//     }
//   }
